<mat-sidenav-container class="sidenav-container" (backdropClick)="close('backdrop')">

  <mat-sidenav #sidenav (keydown.escape)="close('escape')" disableClose>
    <mat-toolbar>Menu</mat-toolbar>
      <p><button mat-button (click)="close('toggle button')">Toggle</button></p>
    <mat-nav-list>
      <a mat-list-item href="#">Link 1</a>
      <a mat-list-item href="#">Link 2</a>
      <a mat-list-item href="#">Link 3</a>
    </mat-nav-list>
  </mat-sidenav>

  <mat-sidenav-content>
    <mat-toolbar color="primary">
      
        <mat-icon (click)="sidenav.open()">menu</mat-icon>
        <!-- <button mat-button (click)="sidenav.open()">Open</button> -->
        
      <button
        type="button"
        aria-label="Toggle sidenav"
        mat-icon-button
        (click)="drawer.toggle()"
        *ngIf="isHandset$ | async">
        <mat-icon aria-label="Side nav toggle icon">menu</mat-icon>
      </button>
      <span class="tool-title">CMIS V3</span>
      <span flex></span>
            
      
      <span class="example-spacer"></span>
      <mat-icon class="example-icon" aria-hidden="false" aria-label="Example heart icon">apps</mat-icon>
      
      <button mat-icon-button [matMenuTriggerFor]="menu">
        <mat-icon>more_vert</mat-icon>
      </button>
      <mat-menu #menu="matMenu">

          <div class="mat-menu-panel ng-trigger ng-trigger-transformMenu ng-tns-c22-136 toolbar-dropdown-menu user-menu mat-menu-below ng-star-inserted mat-elevation-z4 mat-menu-before" role="menu" tabindex="-1" style="transform-origin: right top 0px;"><div class="mat-menu-content">
          <mat-card class="user-info p-0 mat-card" 
          fxlayout="row" 
          fxlayoutalign="space-around center" 
          style="flex-direction: row; box-sizing: border-box; display: flex; max-height: 100%; place-content: center space-around; align-items: center;">
          <img alt="user-image" src="http://www.annular.themeseason.com/assets/img/users/user.jpg">
          <div fxlayout="column" fxlayoutalign="center center" style="flex-direction: column; box-sizing: border-box; display: flex; max-width: 100%; place-content: center; align-items: center;">
            <h2>{{ userDetails.name }}</h2>
            <h3 class="secondary-text-color">{{ userDetails.designation }}</h3>
            <p class="secondary-text-color">Member since {{ userDetails.joined_at | date: 'MMM dd,yyyy'}}</p>
            </div>
        </mat-card>
      </div>
    </div>
        <button mat-menu-item>
          <mat-icon>update</mat-icon>
          <span>Change Password</span>
        </button>
        <button mat-menu-item disabled>
          <mat-icon>settings</mat-icon>
          <span>Setting</span>
        </button>
        <button mat-menu-item>
          <mat-icon>power_settings_new</mat-icon>
          <span (click)="logout($event)">Logout</span>
        </button>
     
      </mat-menu>
  
      
    </mat-toolbar>

    <!-- <p><button mat-button (click)="sidenav.open()">Open</button></p> -->
    <!-- <p>Closed due to: {{reason}}</p> -->
    <!-- Add Content Here -->
    

    <ng-content></ng-content>
  
  </mat-sidenav-content>

</mat-sidenav-container>
